---
title: Get Item's Data Changes
slug: api-documentation/get-items-data-changes
docTags: 
createdAt: 2026-08-27T16:53:40.115Z
---

{
  "id": "nyYfhjgk_84rAx74Ac-l6",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/v1/catalog/{catalogItemId}/wip/diff",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/catalog/{catalogItemId}/wip/diff"
      }
    ],
    "name": "Get Item's Data Changes",
    "description": "<p>This endpoint returns the list of differences for every update of a catalog item's data.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>catalog.read</code></li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "catalogItemId",
          "type": "string",
          "description": "Unique identifier for a catalog item."
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "optional",
          "name": "x-upstart-site",
          "type": "string",
          "description": "Unique identifier for the site."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to \"LoggedIn\", it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success-list of data changes for the given catalog item returned.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "customType": "CatalogItemAuditDiff[]",
            "schema": [
              {
                "name": "old",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/CatalogItemAudit",
                "customType": "CatalogItemAudit",
                "schema": [
                  {
                    "name": "audit",
                    "kind": "required",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/Audit",
                    "customType": "Audit",
                    "schema": [
                      {
                        "name": "byId",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "by",
                        "kind": "required",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "byAnonymous",
                        "kind": "required",
                        "type": "boolean",
                        "description": ""
                      },
                      {
                        "name": "at",
                        "kind": "required",
                        "type": "string<date-time>",
                        "description": "",
                        "format": "date-time"
                      },
                      {
                        "name": "traceId",
                        "kind": "required",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "serviceName",
                        "kind": "required",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "serviceVersion",
                        "kind": "required",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "byDomain",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "bySubjectType",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "traceHeaders",
                        "kind": "optional",
                        "type": "map",
                        "description": "",
                        "example": "",
                        "customType": "map<string, string>",
                        "schema": []
                      }
                    ]
                  },
                  {
                    "name": "entityId",
                    "kind": "required",
                    "type": "string",
                    "description": "",
                    "modelRef": "#/components/schemas/CatalogItemId",
                    "customType": "CatalogItemId",
                    "schema": []
                  },
                  {
                    "name": "event",
                    "kind": "required",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "string",
                    "description": "",
                    "modelRef": "#/components/schemas/CatalogItemEventId",
                    "customType": "CatalogItemEventId",
                    "schema": []
                  },
                  {
                    "name": "payload",
                    "kind": "required",
                    "type": "object",
                    "description": "",
                    "example": "",
                    "schema": []
                  }
                ]
              },
              {
                "name": "new",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/CatalogItemAudit",
                "customType": "CatalogItemAudit",
                "schema": [
                  {
                    "name": "audit",
                    "kind": "required",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/Audit",
                    "customType": "Audit",
                    "schema": [
                      {
                        "name": "byId",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "by",
                        "kind": "required",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "byAnonymous",
                        "kind": "required",
                        "type": "boolean",
                        "description": ""
                      },
                      {
                        "name": "at",
                        "kind": "required",
                        "type": "string<date-time>",
                        "description": "",
                        "format": "date-time"
                      },
                      {
                        "name": "traceId",
                        "kind": "required",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "serviceName",
                        "kind": "required",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "serviceVersion",
                        "kind": "required",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "byDomain",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "bySubjectType",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "traceHeaders",
                        "kind": "optional",
                        "type": "map",
                        "description": "",
                        "example": "",
                        "customType": "map<string, string>",
                        "schema": []
                      }
                    ]
                  },
                  {
                    "name": "entityId",
                    "kind": "required",
                    "type": "string",
                    "description": "",
                    "modelRef": "#/components/schemas/CatalogItemId",
                    "customType": "CatalogItemId",
                    "schema": []
                  },
                  {
                    "name": "event",
                    "kind": "required",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "string",
                    "description": "",
                    "modelRef": "#/components/schemas/CatalogItemEventId",
                    "customType": "CatalogItemEventId",
                    "schema": []
                  },
                  {
                    "name": "payload",
                    "kind": "required",
                    "type": "object",
                    "description": "",
                    "example": "",
                    "schema": []
                  }
                ]
              },
              {
                "name": "diff",
                "kind": "optional",
                "type": "object",
                "description": "",
                "example": "",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/CatalogItemAuditDiff",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "ltm_DCCzrw5YaI--N_PL-",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.upstartcommerce.com/v1/catalog/{catalogItemId}/wip/diff \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "__D7sOPuNck9O9jSJISS2",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/catalog/{catalogItemId}/wip/diff\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "qViZ-a1Y8naao-HGUfmeW",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/catalog/{catalogItemId}/wip/diff\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "gUd3fX85tN--6JOZEDSFQ",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/catalog/{catalogItemId}/wip/diff\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "ltm_DCCzrw5YaI--N_PL-"
    },
    "results": {
      "languages": [
        {
          "id": "MDIZdhz6IjkmjWopYeXjq",
          "language": "200",
          "code": "// Success-list of data changes for the given catalog item returned.\n[\n  {\n    \"old\": {\n      \"audit\": {\n        \"byId\": \"\",\n        \"by\": \"\",\n        \"byAnonymous\": false,\n        \"at\": \"\",\n        \"traceId\": \"\",\n        \"serviceName\": \"\",\n        \"serviceVersion\": \"\",\n        \"byDomain\": \"\",\n        \"bySubjectType\": \"\",\n        \"traceHeaders\": \"\"\n      },\n      \"entityId\": \"\",\n      \"event\": \"\",\n      \"id\": \"\",\n      \"payload\": {}\n    },\n    \"new\": {\n      \"audit\": {\n        \"byId\": \"\",\n        \"by\": \"\",\n        \"byAnonymous\": false,\n        \"at\": \"\",\n        \"traceId\": \"\",\n        \"serviceName\": \"\",\n        \"serviceVersion\": \"\",\n        \"byDomain\": \"\",\n        \"bySubjectType\": \"\",\n        \"traceHeaders\": \"\"\n      },\n      \"entityId\": \"\",\n      \"event\": \"\",\n      \"id\": \"\",\n      \"payload\": {}\n    },\n    \"diff\": {}\n  }\n]"
        },
        {
          "id": "vIoMPfnX8z6ycXSWPDAc_",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "MDIZdhz6IjkmjWopYeXjq"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}